<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <title>Asinhrono programiranje - funkcije povratnog poziva</title>
  </head>
  <body>
    <h3>Studenti:</h3>

    <script>
      function httpGet(url, callback) {
        const httpReq = new XMLHttpRequest();
        httpReq.onreadystatechange = function () {
          if (httpReq.readyState == 4) {
            if (httpReq.status == 200) {
              const data = JSON.parse(httpReq.responseText);
              callback(null, data);
            } else {
              const err = new Error(httpReq.statusText);
              callback(err, null);
            }
          }
        };
        httpReq.open("GET", url, true);
        httpReq.send();
      }

      httpGet("./data/students.json", function (err, students) {
        // Greska se moze simulirati izmenom naziva datoteke iznad u, na primer, studenti.json
        if (err) {
          console.log("Doslo je do greske: " + err.message);
          return;
        }

        for (const student of students) {
          const node = document.createElement("p");
          node.appendChild(
            document.createTextNode(
              `${student.name} ${student.surname} (${student.index})`
            )
          );
          document.body.appendChild(node);
        }
      });
    </script>
  </body>
</html>
